Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# LifespanPolicyC.h File Reference

`#include "ace/config-all.h"`
`#include "portableserver_export.h"`
`#include "tao/ORB.h"`
`#include "tao/SystemException.h"`
`#include "tao/Environment.h"`
`#include "tao/Object.h"`
`#include "tao/Objref_VarOut_T.h"`
`#include "tao/PolicyC.h"`

Include dependency graph for LifespanPolicyC.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | PortableServer
namespace | TAO
## Classes
interface | PortableServer::LifespanPolicy
struct | TAO::Objref_Traits< ::PortableServer::LifespanPolicy >
## Defines
#define | TAO_EXPORT_MACRO TAO_PortableServer_Export
#define | _PORTABLESERVER_LIFESPANPOLICY__VAR_OUT_CH_
#define | _PORTABLESERVER_LIFESPANPOLICY_CH_
#define | _PORTABLESERVER_LIFESPANPOLICY__TRAITS_
## Typedefs
typedef LifespanPolicyValue & | LifespanPolicyValue_out
typedef LifespanPolicy * | LifespanPolicy_ptr
typedef TAO_Objref_Var_T< LifespanPolicy > | LifespanPolicy_var
typedef TAO_Objref_Out_T< LifespanPolicy > | LifespanPolicy_out
## Enumerations
enum | LifespanPolicyValue { TRANSIENT, PERSISTENT }
## Functions
TAO_PortableServer_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, PortableServer::LifespanPolicyValue)
TAO_PortableServer_Export CORBA::Boolean | operator>> (TAO_InputCDR &, PortableServer::LifespanPolicyValue &)

## Define Documentation

#define _PORTABLESERVER_LIFESPANPOLICY__TRAITS_

#define _PORTABLESERVER_LIFESPANPOLICY__VAR_OUT_CH_

#define _PORTABLESERVER_LIFESPANPOLICY_CH_

#define TAO_EXPORT_MACRO TAO_PortableServer_Export

## Typedef Documentation

typedef TAO_Objref_Out_T< LifespanPolicy > PortableServer::LifespanPolicy_out

typedef LifespanPolicy* PortableServer::LifespanPolicy_ptr

typedef TAO_Objref_Var_T< LifespanPolicy > PortableServer::LifespanPolicy_var

typedef LifespanPolicyValue& PortableServer::LifespanPolicyValue_out

## Enumeration Type Documentation

enum LifespanPolicyValue

  | Enumeration values:
  TRANSIENT |
  PERSISTENT |

## Function Documentation

TAO_PortableServer_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | PortableServer::LifespanPolicyValue |
| ) |

TAO_PortableServer_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | PortableServer::LifespanPolicyValue & |
| ) |